Firefox To Finally Ditch Ancient NPAPI Plug-ins – Except Flash

BrowsersWorkspace
1 2 No Comments

Remember Netscape? Mozilla says NPAPI web plug-ins are to be removed from the Firefox browser

Mozilla is finally going to drop ancient web plugs-ins from its Firefox browser, belatedly joining similar moves by Microsoft and Google.

Mozilla said it would will cut off support for Netscape Plug-in Application Programming Interface (NPAPI) plug-ins, but only by the end of 2016.

Long Goodbye

The NPAPI plug-ins date from the era (1990s) when Netscape was the main browser for web surfing, before it was eventually overtaken by the new kid on the block, namely Microsoft’s Internet Explorer.

“Mozilla has been steadily improving the Web platform to support features that were once only available via NPAPI plugins,” it said in a blog. “Streaming video, advanced graphics, and gaming features have all become native Web APIs in the past few years.”

“As browsers and the Web have grown, NPAPI has shown its age. Plugins are a source of performance problems, crashes, and security incidents for Web users.”

firefox-extensions“Mozilla intends to remove support for most NPAPI plugins in Firefox by the end of 2016,” it announced, and pointed out that Firefox had actually begun this process a number of years ago with manual plug-in activation, which allowed users to activate plug-ins only when they were necessary.

Mozilla said that its decision mirrors actions by other modern browsers, such as Google Chrome and Microsoft Edge, which have already removed support for legacy plug-ins. Indeed, it was back in January 2014 when Google stopped support for NPAPI plug-ins in order to improve the reliability of its Chrome web browser.

But it did say that it will continue to support Adobe Flash within Firefox as an exception to the general plug-in policy. It said the reason was that Flash was still a common part of the Web experience for most users.

In July Firefox blocked Adobe Flash by default following the discovery of yet more zero-day vulnerabilities in the browser plug-in. The block remained in place until Adobe rushed out a patch for the flaw.

Plug-in Migration

Mozilla also announced that it is working with Unity to find ways to allow Unity-based content to be experienced directly in the browser without plug-ins.

Mozilla urged websites and publishers which currently use plug-ins (such as Silverlight or Java) to “accelerate their transition to Web technologies.”

“Mozilla continues to work with the Oracle Java Platform Group to ensure a smooth transition for those web sites that use Java,” it said.

Last month Mozilla was forced to admit that hackers stole security-sensitive information from Bugzilla, the company’s bug tracker system, and used it to “attack” Firefox users.

That was not the first time that Mozilla suffered a security scare. In September 2014, Mozilla admitted to a serious data breach of its developer details.

Are you a Firefox enthusiast? Take our quiz!


Author: Tom Jowitt
Click to read the authors bio  Click to hide the authors bio